- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.ComputeFindingsRefinementActivityResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.findingsRefinements/computeFindingsRefinementActivity#body.aspect_1)

**Full name**: projects.locations.instances.findingsRefinements.computeFindingsRefinementActivity

Returns findings refinement activity for a specific findings refinement.

### HTTP request

`POST https://{endpoint}/v1/{name}:computeFindingsRefinementActivity`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Full resource name for the findings refinement to fetch the activity for. Format: projects/{project}/locations/{region}/instances/{instance}/findingsRefinements/{findingsRefinement} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "interval": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Interval`) } } ``` |

| Fields ||
|---|---|
| `interval` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Interval`)`` The time interval the activity is measured over. |

### Response body

Response message for findingsRefinements.computeFindingsRefinementActivity method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "activity": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/FindingsRefinementActivity`) } } ``` |

| Fields ||
|---|---|
| `activity` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/FindingsRefinementActivity`)`` The activity for the findings refinement. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.findingsRefinements.computeActivity`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).